import json
"""from dataclasses import dataclass
from enum import Enum
import re"""

State = str
"""Interaction = str
@dataclass
class TransitionType(Enum):
    INPUT = "input"
    OUTPUT = "output"
    INTERNAL = "internal" #tau

@dataclass
class Transition:
    name: str
    t_type: TransitionType
    guard_condition: str
    from_node: State
    to_node: State
    
    def __hash__(self):
        return hash((self.name, self.t_type, self.guard_condition, self.from_node, self.to_node))

@dataclass
class IOSM:
    states: set[State]
    transitions: set[Transition]
    idle_state: State"""



def json_to_x(filepath):
    with open(filepath, "r") as json_data:
        data = json.load(json_data)
    data_states=data["TESTCASE"]["states"]
    #inputs=[i["name"] for i in data["SUT"]["input_ports"]]
    #outputs=[i["name"] for i in data["SUT"]["output_ports"]]
    #s_p = []
    #s_m = []
    states= []
    #transitions = set()
    s = data_states[0]
    i=0
    while True:
        if "next" in s["transitions"][0].keys():
            states.append(s["name"])
            for i in data_states:
                if i["name"] == s["transitions"][0]["next"]:
                    s = i
                    break
        

        else:
            break
    states.append(s["name"])
        
    return states

    #print(states)
if __name__ == "__main__":
    x = json_to_x("testcases[1].json")
    print(x)


